1. Appointments
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Files
      • List files
      • File tags
      • Files
      • Files
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunity tags
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
    • Forms
      • List forms
  • Schedule & dispatch
    • Appointments
      • List Appointments
        GET
      • Appointments
        GET
      • Appointments feedbacks
        GET
      • Appointments
        POST
      • Appointments
        DELETE
    • Sugested Appointments
      • Suggested Appointments
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Appointments

Appointments feedbacks

GET
/appointments/{appointmentID}/feedbacks

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/appointments//feedbacks?type=onArrival' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": 21,
            "questionId": 4,
            "source": "legacy_feedback",
            "type": "arrive",
            "question": "Has the engineer arrived at the job site?",
            "answer": null,
            "lastModifiedDateTime": null
        },
        {
            "id": 22,
            "questionId": 5,
            "source": "legacy_feedback",
            "type": "arrive",
            "question": "Did the engineer check in at the correct location?",
            "answer": null,
            "lastModifiedDateTime": null
        },
        {
            "id": 23,
            "questionId": 7,
            "source": "legacy_feedback",
            "type": "arrive",
            "question": "Do you have all the required tools and equipment?",
            "answer": null,
            "lastModifiedDateTime": null
        },
        {
            "id": 24,
            "questionId": 3,
            "source": "legacy_feedback",
            "type": "arrive",
            "question": "test",
            "answer": "Test demo",
            "lastModifiedDateTime": null
        },
        {
            "id": 25,
            "questionId": 9,
            "source": "legacy_feedback",
            "type": "leave",
            "question": "Did you record the parts/materials used?",
            "answer": "yes",
            "lastModifiedDateTime": "2026-10-07T10:28:21.000Z"
        },
        {
            "id": 26,
            "questionId": 2,
            "source": "legacy_feedback",
            "type": "leave",
            "question": "What did you do on site???????",
            "answer": "Test",
            "lastModifiedDateTime": "2026-10-07T10:28:22.000Z"
        },
        {
            "id": 27,
            "questionId": 8,
            "source": "legacy_feedback",
            "type": "leave",
            "question": "Did you complete all the required work?",
            "answer": "Gb",
            "lastModifiedDateTime": "2026-10-07T10:28:23.000Z"
        },
        {
            "id": 28,
            "questionId": 10,
            "source": "legacy_feedback",
            "type": "leave",
            "question": "Did you record the job completion time?",
            "answer": "Test",
            "lastModifiedDateTime": "2026-10-07T10:28:23.000Z"
        }
    ]
}
Modified at 2026-10-30 07:25:25
Previous
Appointments
Next
Appointments
Built with